!> \file masque.f90
!! Module pour definir le masque de flottaison de glace
!<

!> SUBROUTINE: masque
!! \author ....
!! \date juillet 2009
!! @note Cette routine permet de calculer le masque de flottaison de glace
!! @note Used modules:
!! @note    - use module3D_phy
!!
!<

! version juillet 2009
subroutine masque

use module3D_phy
implicit none

if (itracebug.eq.1)  call tracebug(' Entree dans masque')

! mk donne la flottaison
do j=1,ny
   do i=1,nx
      if (flot(i,j)) then
         mk(i,j)=1 
      else
         mk(i,j)=0
      endif
   end do
end do

! pour eventuellement enlever certaines zones
mk(:,:)=mk(:,:)*mk0(:,:)
      
end subroutine masque
